switch				MS-DOS programmers manual		switch

	switch [switchar]

	Displays or changes the current switch character.  Normally, the switch
	character can only be changed by changing the SWITCHAR parameter in
	the file config.sys file.
	On DOS 2.* changing the switchar from the default of '/' to '-' causes
	the command.com to start using the only correct directory separator of
	'/' in place of the idiotic '\'.

	Usage:
		switch
			to display the current setting of the switchar
		switch -
			to set the switch character to '-' (the only
			proper setting :-)

	Problems:
	  On DOS 3.0 and higher the command.com has been "fixed" to not to react
	to this change.  Please protest as loud as possible.
	  Still on DOS 3.0 and higher setting the switchar to anything else
	than '/' causes a incompatibility between command.com and the actual
	DOS.  This comes up when command.com refuses to understand any direct
	path specification any longer.
	  Setting the switch character to any character of "switch" makes it
	impossible to change it back since command.com breaks the command line
	off at that point and starts looking for some other command than
	switch.  Eg. issue command "switch w";  after this every time you try
	to issue a switch command, command.com will parse it as command "s"
	with options "itch"... you scratch it, is not my problem.

	Solutions:
	  The routine formatch() (which is used for wildcard matching) reacts
	to changes of the switchar, BUT also looks at the environment variable
	SWITCHAR.  If it is set, the first character of it's value is used in
	preference to the DOS-returned switchar.  This, in the end, might prove
	to be a more preferrable solution to this problem than using the DOS
	half-baked switchar.
